<ng-container *ngIf="(loggedIn$|async); else notLoggedIn">
  <app-settings-menu-container style="height: 100%;">
    <app-preprocessings-content-container></app-preprocessings-content-container>
  </app-settings-menu-container>
</ng-container>
<ng-template #notLoggedIn>
  <app-login
    [inProgress]="(isRedirecting$|async)"
    [error]="(error$|async)"
    (login)="login()">
  </app-login>
</ng-template>
